<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <title><g:layoutTitle default="CoW: Controllable Wiki" /></title>
    <g:javascript src="../gwt/gate.cow.gwt.NewPage/gate.cow.gwt.NewPage.nocache.js"/>
    <g:javascript src="../gwt/gate.cow.gwt.Upload/gate.cow.gwt.Upload.nocache.js"/>
    <link rel="stylesheet" href="${createLinkTo(dir:'css',file:'page.css')}" />
    <link rel="shortcut icon" href="${createLinkTo(dir:'images',file:'favicon.ico')}" type="image/x-icon"/>
    <link rel="stylesheet"
      href="${createLinkTo(dir:'css',file:'prototip/prototip.css')}"
    />
    
    <g:javascript src="prototype/prototype.js"/>
    <g:javascript src="prototype/scriptaculous.js?load=effects"/>
    <g:javascript src="prototip.js"/>

    <g:layoutHead />
    <g:javascript library="application" />        
    <script type="text/javascript">
      function focusOnSearch(setFocus) {
        if(setFocus) document.searchForm.searchBox.focus();  
      }
    </script>

    <!-- JQuery menus ****************************************** -->
    <link rel="stylesheet" href="${createLinkTo(dir:'css',file:'jquery/jqueryslidemenu.css')}" />
    <!--[if lte IE 7]>
    <style type="text/css">html .jqueryslidemenu{height: 1%;} /*Holly Hack for IE7 and below*/</style>
    <![endif]-->
    <g:javascript src="jquery/jquery.min.js"/>
    <script type="text/javascript">
      jQuery.noConflict();
      var arrowimages={ // specify full URL to down and right arrow images (23 is padding-right to add to top level LIs with drop downs):
        down:['downarrowclass', '${createLinkTo(dir: 'images/jquery', file:'down.gif')}', 23],
        right:['rightarrowclass', '${createLinkTo(dir: 'images/jquery', file:'right.gif')}']
      }
    </script>
    <g:javascript src="jquery/jqueryslidemenu.js"/>
    <!-- ****************************************************** -->
  </head>
  
  <body onload="focusOnSearch(${gate.cow.CowUtils.getConfig().gate.cow.solr.run})">
    <div id="topBar">
      <span id="topLogo">
        <a href="${createLinkTo(dir:'/')}"><g:cowLogo/></a>
      </span>
    </div>
      
    <!-- first row header links -->
    <div id="topLoginEtc">
      <!-- page links -->
      <span id="topPageSpecific">${pageLinks}</span>

      <!-- If admin area, id will be null; do not show search box in admin area -->
      <g:if test="${id}">
        <g:if test="${gate.cow.CowUtils.getConfig().gate.cow.solr.run}">
          <g:form name="searchForm" controller="search" method="post" 
                                                        class="inlineForm">
            <label class="pageLink" for="searchBox">Search:</label>
            <g:if test="${parameters?.searchBox}">
              <input type="text" name="searchBox" id="searchBox" tabindex="1" 
                   value="${parameters.searchBox}"/>
            </g:if>
            <g:else>
              <input type="text" name="searchBox" id="searchBox" tabindex="1"/>
            </g:else>
            <input type="hidden" name="id" value="${id}" id="id"/>
          </g:form>
          &nbsp;
        </g:if>
      </g:if>
      <jsec:isLoggedIn>
          <g:link controller="user"><cow:principal property='firstname'/>&nbsp;<cow:principal property='lastname'/></g:link>
          &nbsp;
          <g:link controller="auth" action="signOut">Log out</g:link>
      </jsec:isLoggedIn>
      <cow:isServer>
        <jsec:isNotLoggedIn>
          <cow:isNotLoggingIn>
            <g:link controller="auth">Log in</g:link>
          </cow:isNotLoggingIn>
        </jsec:isNotLoggedIn>
      </cow:isServer>
      <cow:isAdministrator>
        <cow:isServer>
          <g:link controller="admin">Admin</g:link>
        </cow:isServer>
      </cow:isAdministrator>
      <cow:isWorkstation>
        (w/s mode) <g:link controller="admin">Admin</g:link>
      </cow:isWorkstation>
      <g:pageLink action="show" id="1" linkPath="doc/gatewiki.html">Help</g:pageLink>
    </div>

    <!-- second row header links -->
    <div id="topBreadcrumbs">
      <g:if test="${pageTree}">
        ${pageTree}
      </g:if>
    </div>

    <!-- header menus -->
    <div id="header">
      <div id="myslidemenu" class="jqueryslidemenu">
        ${header}
      </div>
        <ul>
        <li><a href="/family/developer.html">GATE Developer</a></li>
        <li><a href="/family/embedded.html">GATE Embedded</a></li>
        <li><a href="/family/teamware.html">GATE Teamware</a></li>
        <li><a href="/family/cloud.html">GATE Cloud</a></li>
        <li><a href="/family/wiki.html">GATE Wiki</a></li>
        <li><a href="/support.html">Support</a></li>
        <li><a href="/people">About Us</a></li>
        </ul>
      <noscript><div class="errors">${header} <b>Note: these menus will work
      better with Javascript enabled!</b></div></noscript>
    </div>

    <!-- sep, left/right bars, body and footer -->
    <div id="topSeparator"> </div>
    <div id="leftBar">
      <div id="myslidemenuhoriz" class="jqueryslidemenuhoriz">
        ${leftBar}
      </div>
      <noscript><div class="errors">${leftBar} <b>Note: these menus will work
      better with Javascript enabled!</b></div></noscript>
    </div>
    <g:layoutBody />    
    <div id="rightBar">${rightBar}</div>
    <div id="footer">${footer}</div>

    <!-- GWT support -->
    <iframe id="__gwt_historyFrame" style="width:0;height:0;border:0"/>

  </body>
</html>
